commit:     5ea018d4725a74ce80b007ec23995865569cc944
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 29 22:20:51 2023 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Thu Mar 30 00:08:08 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ea018d4

sys-apps/mcstrans: bump to 3.5

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 sys-apps/mcstrans/Manifest            |  1 +
 sys-apps/mcstrans/mcstrans-3.5.ebuild | 52 +++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/sys-apps/mcstrans/Manifest b/sys-apps/mcstrans/Manifest
index c320b3635f10..c4de3a56d612 100644
--- a/sys-apps/mcstrans/Manifest
+++ b/sys-apps/mcstrans/Manifest
@@ -1,2 +1,3 @@
 DIST mcstrans-3.3.tar.gz 44621 BLAKE2B 
624780c219d0b8f369def5ab334caf9d2ae847f9cfb4359ce38e240bcb72b7cfeef45d08cd6e7330cc90394f6c32bd622d2133e675036f98992145b1530ab1e2
 SHA512 
2157a0361bb5a2bc8e149373b2dd7d9b042f8c4c0aa845ae6967a23d9b875d2dcd6176d99d7f8f15e17eb5877fea60814e19aabfe76950d25b75c9c25df811c2
 DIST mcstrans-3.4.tar.gz 45125 BLAKE2B 
59a403e7d4018bee2632360d5720e65f26b0581ed58a42e8caee2d352d104658e27ece850ca6c50ea513766a973c6ae98fd4115d478555dd5c130956188c0668
 SHA512 
bd612f1ae886c7a0300bb4aa1d52f139677787cc026475eada98e11a46910fa4a8baba9026530af6fa649a4f07978039f584e55567b87bbbb89ff06fb182518c
+DIST mcstrans-3.5.tar.gz 45091 BLAKE2B 
c6604075a6b37d7bf10e2daee40d9f034a26c5d56b81973cbc3b39621bdf5e2cb1d5906e91942e09ff077a14facafcc2464995675d8df31930707033fac5db90
 SHA512 
f4d3b04750e197c6abd31f1642af4b53a4fe0e968952a7ade992909f903d7486c1e72733963453563fcbc9745273c8238f169f520550df1470e7f6e4d6e56665

diff --git a/sys-apps/mcstrans/mcstrans-3.5.ebuild 
b/sys-apps/mcstrans/mcstrans-3.5.ebuild
new file mode 100644
index 000000000000..5cad428935de
--- /dev/null
+++ b/sys-apps/mcstrans/mcstrans-3.5.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit toolchain-funcs
+
+MY_PV="${PV//_/-}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="SELinux context translation to human readable names"
+HOMEPAGE="https://github.com/SELinuxProject/selinux/wiki";
+
+if [[ ${PV} == *9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/SELinuxProject/selinux.git";
+       S="${WORKDIR}/${P}/${PN}"
+else
+       
SRC_URI="https://github.com/SELinuxProject/selinux/releases/download/${MY_PV}/${MY_P}.tar.gz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~mips ~x86"
+       S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+DEPEND=">=sys-libs/libsepol-${PV}:=
+       >=sys-libs/libselinux-${PV}:=
+       dev-libs/libpcre2:=
+       >=sys-libs/libcap-1.10-r10:="
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+
+       sed -i 's/-Werror//g' "${S}"/*/Makefile || die "Failed to remove Werror"
+}
+
+src_compile() {
+       tc-export CC
+       default
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       rm -rf "${D}/etc/rc.d" || die
+
+       newinitd "${FILESDIR}/mcstransd.init" mcstransd
+}

Reply via email to